// WinChatDlg.h : header file
// Autor: Sasa Popovic
// Version: 1.1
// Date: 24.02.2003
// Email: sasap@uns.ns.ac.yu
// If there are any suggestions or comments,
// you are most welcome to contact me


#if !defined(AFX_WINCHATDLG_H__56A5EC1D_A671_46E7_91C6_6BD536D3BD1D__INCLUDED_)
#define AFX_WINCHATDLG_H__56A5EC1D_A671_46E7_91C6_6BD536D3BD1D__INCLUDED_

#include "MAILSLOT\MAILSLOT.H"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWinChatDlg dialog

class CWinChatDlg : public CDialog
{
// Construction
public:
	CString m_strMyCompName;
	void AddNewMessage(CString strServer, CString strToServer, CString strMessage);
	CServerMailslot m_ServerMailslot;
	void CheckForNewMail();
	UINT m_nTimerID;
	UINT m_nTimerIDMessengerStop;
	BOOL DoSendStandardMessage(LPCTSTR lpSender, LPCTSTR lpRecipient, LPCTSTR lpMsgText);
	CWinChatDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWinChatDlg)
	enum { IDD = IDD_WINCHAT_DIALOG };
	CString	m_strNewMessage;
	CString	m_strReceivedMessage;
	CString	m_strServerToSend;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinChatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWinChatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonSendMessage();
	afx_msg void OnButtonClearAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINCHATDLG_H__56A5EC1D_A671_46E7_91C6_6BD536D3BD1D__INCLUDED_)
